Subject: Re: [PATCH net] net: dsa: mv88e6xxx: Don't support >1G speeds on 6191X on ports other than 10

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 4 Nov 2021 18:15:57 +0000

On Thu, Nov 04, 2021 at 06:17:47PM +0100, Marek Behún wrote:
> Model 88E6191X only supports >1G speeds on port 10. Port 0 and 9 are
> only 1G.

Interesting. The original commit says:

SERDESes can do USXGMII, 10GBASER and 5GBASER (on 6191X only one
SERDES is capable of more than 1g; USXGMII is not yet supported
with this change)

which is ambiguously worded - so I guess we now know that it's only
port 10 that supports speeds above 1G.

Can ports 0 / 1 / 10 be changed at runtime (iow, is the C_Mode field
writable on these ports?)

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!